## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SegmentThreshold

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  SegmentThresholdImpl

    public interface SegmentThreshold

extends SQLObject

A representation of the model object 'Segment Threshold'.

The following features are supported:

- `Procedure Name`
- `Free Space`

See Also:
  `SybaseasesqlmodelPackage.getSegmentThreshold()`

Method Summary
`int` `getFreeSpace()` Returns the value of the 'Free Space' attribute.
`java.lang.String` `getProcedureName()` Returns the value of the 'Procedure Name' attribute.
`void` `setFreeSpace(int value)` Sets the value of the '`Free Space`' attribute.
`void` `setProcedureName(java.lang.String value)` Sets the value of the '`Procedure Name`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getProcedureName

    java.lang.String getProcedureName()

  Returns the value of the 'Procedure Name' attribute.

  If the meaning of the 'Procedure Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Procedure Name' attribute.
  See Also:
    `setProcedureName(String)`, `SybaseasesqlmodelPackage.getSegmentThreshold_ProcedureName()`

### setProcedureName

    void setProcedureName(java.lang.String value)

  Sets the value of the '`Procedure Name`' attribute.

  Parameters:
    `value` - the new value of the 'Procedure Name' attribute.
  See Also:
    `getProcedureName()`

### getFreeSpace

    int getFreeSpace()

  Returns the value of the 'Free Space' attribute. The default value is `"0"`.

  If the meaning of the 'Free Space' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Free Space' attribute.
  See Also:
    `setFreeSpace(int)`, `SybaseasesqlmodelPackage.getSegmentThreshold_FreeSpace()`

### setFreeSpace

    void setFreeSpace(int value)

  Sets the value of the '`Free Space`' attribute.

  Parameters:
    `value` - the new value of the 'Free Space' attribute.
  See Also:
    `getFreeSpace()`